%define xtag X11R7.3
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXss runtime library
Name: 		libXScrnSaver
Version: 	1.1.2
Release: 	2
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	libX11-devel
BuildRequires: 	libXext-devel

Obsoletes: 	xorg-libs

%description
X.Org X11 libXss runtime library

%package devel
Summary: 	X.Org X11 libXScrnSaver development package
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3

# xorg-x11-proto-devel is required by xscrnsaver.pc
Requires: 	xorg-x11-proto-devel
# NOTE: libX11-devel, libXext-devel were added to work around bug (#176674)
Requires: 	libX11-devel
Requires: 	libXext-devel

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libXss development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
# FIXME: XScrnSaver.c:429: warning: dereferencing type-punned pointer will break strict-aliasing rules
export CFLAGS="$CFLAGS -fno-strict-aliasing"
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libXss.so.1
%{_libdir}/libXss.so.1.0.0

%files devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXss.a
%endif
%{_libdir}/libXss.so
%dir %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/xscrnsaver.pc
#%dir %{_mandir}/man3x
%{_mandir}/man3/*.3*

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-2
- rebuilt for Xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.0-1
- Initial release
